Package wx :: Package lib :: Package agw :: Module flatmenu :: Class MenuKbdRedirector

[frames | no frames]

## Type MenuKbdRedirector

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    MenuKbdRedirector

A keyboard event handler.

Method Summary
| ``__init__`(self, menu, oldHandler)` Default class constructor.
| ``ProcessEvent`(self, event)` Processes the inout event.
| ``SetMenu`(self, menu)` Sets the listened menu.

Property Summary

Method Details

### __init__(self, menu, oldHandler)
(Constructor)

Default class constructor.

  Overrides:
    `wx.EvtHandler.__init__`

### ProcessEvent(self, event)

Processes the inout event.

  Overrides:
    `wx.EvtHandler.ProcessEvent`

### SetMenu(self, menu)

Sets the listened menu.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:27 2009 | http://epydoc.sf.net